WYSIWYG Editor

Bootstrap WYSIWYG Editor plugin

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Bootstrap WYSIWYG Editor is a lightweight plugin that enables rich text editing on your website.

To start working with sortable plugin see "Getting Started" tab on this page.


Basic Example

MDBootstrap

WYSIWYG Editor

MDBootstrap.com © 2020

Features:

  • Changing block type
  • Text formatting (bold, italic, strikethrough, underline)
  • Setting text color
  • Text aligning
  • Inserting links
  • Inserting pictures
  • Creating a list (bulled or numbered)

Options:

  • Translations
  • Using your own color palette
  • Disabling/enabling tooltips

<textarea id="demo">
  <br/>
  <p style="text-align: center;"><img src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid"></p>
  <h1 style="text-align: center;">MDBootstrap</h1>
  <p style="text-align: center;">WYSIWYG Editor</p>
  <p style="text-align: center;"><a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a>&nbsp;© 2020</p>
  <p style="text-align: left;"><b>Features:</b></p>
  <p style="text-align: left;">
      <ul>
          <li>Changing block type</li>
          <li>Text formatting (bold, italic, strikethrough, underline)</li>
          <li>Setting text color</li>
          <li>Text aligning</li>
          <li>Inserting links</li>
          <li>Inserting pictures</li>
          <li>Creating a list (bulled or numbered)</li>
      </ul>
      <p><b>Options:</b></p>
      <ul>
          <li>Translations</li>
          <li>Using your own color palette</li>
          <li>Disabling/enabling tooltips</li>
      </ul>
  </p>
</textarea>
$("#demo").mdbWYSIWYG();

Translations

Bootstrap WYSIWYG Editor comes with the option that allows you to use custom translations for all text in the editor.

<textarea id="demoTranslations">
  <p style="text-align: center;"><img src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid"></p>
  <h1 style="text-align: center;">MDBootstrap</h1>
  <p style="text-align: center;">WYSIWYG Editor</p>
  <p style="text-align: center;"><a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a>&nbsp;© 2020</p>
</textarea>
$("#demoTranslations").mdbWYSIWYG({

});

Custom color palette

By default, Bootstrap WYSIWYG Editor use color palette from MDBootstrap's text colors. If you need to use your custom colors, you can simply customize them to fit your project.

<textarea id="demoCustomPalette">
  <p style="text-align: center;"><img src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid"></p>
  <h1 style="text-align: center;">MDBootstrap</h1>
  <p style="text-align: center;">WYSIWYG Editor</p>
  <p style="text-align: center;"><a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a>&nbsp;© 2020</p>
</textarea>
$("#demoCustomPalette").mdbWYSIWYG({
  colorPalette: {
    red: '#d50000',
    green: '#64dd17',
    yellow: '#fff176',
    blue: '#03a9f4',
    purple: '#6a1b9a',
    white: '#fff',
    black: '#000'
  }
});

Options

Name Type Description
tooltips boolean Shows Bootstrap Tooltips for the toolbar buttons.
colorPalette array Allows to use custom color palette. See details here.
translations array Allows to overwrite default plugin translations. See details here.

MDB WYSIWYG Editor - getting started : download & setup


Download

This plugin requires a purchase.

Buy WYSIWYG Editor plugin

Installation tutorial

Note: The video below shows a different plugin, but it does not matter. The installation process is the same for all plugins.

React Bootstrap Wysiwyg

React Wysiwyg - Bootstrap 4 & Material Design

React Bootstrap WYSIWYG Editor is a lightweight plugin that enables rich text editing on your website.

Basic Example

import React from 'react';
import MDBWysiwyg from 'mdb-react-wysiwyg';

const App = () => {
    const initialContent =
    `<br>
    <p style="text-align: center;"><img src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp"
            class="img-fluid"></p>
    <h1 style="text-align: center;">MDBootstrap</h1>
    <p style="text-align: center;">WYSIWYG Editor</p>
    <p style="text-align: center;"><a href="https://mdbootstrap.com" target="_blank" contenteditable="false"
            style="font-size: 1rem; text-align: left;">MDBootstrap.com</a>&nbsp;© 2020</p>
    <p><b>Features:</b></p>
    <ul>
        <li>Changing block type</li>
        <li>Text formatting (bold, italic, strikethrough, underline)</li>
        <li>Setting text color</li>
        <li>Text aligning</li>
        <li>Inserting links</li>
        <li>Inserting pictures</li>
        <li>Creating a list (bulled or numbered)</li>
    </ul>
    <p><b>Options:</b></p>
    <ul>
        <li>Translations</li>
        <li>Using your own color palette</li>
        <li>Disabling/enabling tooltips</li>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
    </ul>
    `;

    return (
        <>
            <MDBWysiwyg initialContent={initialContent} />
        </>
    );
};

export default App;

Translations

React Bootstrap WYSIWYG Editor comes with the option that allows you to use custom translations for all text in the editor.

import React from 'react';
import MDBWysiwyg from 'mdb-react-wysiwyg';

const App = () => {
    const initialContent =
        `<br>
        <p style="text-align: center;"><img src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp"
                class="img-fluid"></p>
        <h1 style="text-align: center;">MDBootstrap</h1>
        <p style="text-align: center;">WYSIWYG Editor</p>
        <p style="text-align: center;"><a href="https://mdbootstrap.com" target="_blank" contenteditable="false"
                style="font-size: 1rem; text-align: left;">MDBootstrap.com</a>&nbsp;© 2020</p>
        `;

    const translations = {
        paragraph: 'Párrafo',
        heading: 'Encabezado',
        preformatted: 'Preformateado',
        bold: 'Negrita',
        italic: 'Itálica',
        strikeThrough: 'Tachado',
        underline: 'Subrayado',
        textcolor: 'Color del texto',
        justifyLeft: 'Alinear a la izquierda',
        justifyCenter: 'Alinear al centro',
        justifyRight: 'Alinear a la derecha',
        justifyFull: 'Justificar',
        insertlink: 'Insertar enlace',
        insertpicture: 'Insertar imagen',
        insertUnorderedList: 'Lista de viñetas',
        insertOrderedList: 'Lista numerada',
        enterurl: 'Insertar enlace',
        imageurl: 'Insertar enlace de imagen',
        showHTML: 'Cambiar la vista'
    }

    return (
        <>
            <MDBWysiwyg initialContent={initialContent} translations={translations} />
        </>
    );
};

export default App;

Custom color palette

By default, React Bootstrap WYSIWYG Editor use color palette from MDBootstrap's text colors. If you need to use your custom colors, you can simply customize them to fit your project.

import React from 'react';
import MDBWysiwyg from 'mdb-react-wysiwyg';

const App = () => {
    const initialContent =
        `<br>
        <p style="text-align: center;"><img src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp"
                class="img-fluid"></p>
        <h1 style="text-align: center;">MDBootstrap</h1>
        <p style="text-align: center;">WYSIWYG Editor</p>
        <p style="text-align: center;"><a href="https://mdbootstrap.com" target="_blank" contenteditable="false"
                style="font-size: 1rem; text-align: left;">MDBootstrap.com</a>&nbsp;© 2020</p>
        `;

    return (
        <>
            <MDBWysiwyg initialContent={initialContent} colors={['#EA3C3B', '#E00065' , '#FFFFFF' , '#000000' ]} />
        </>
    );
};

export default App;

React WYSIWYG Editor - getting started : download & setup


Download

This plugin requires a purchase.

Buy React WYSIWYG Editor plugin

React WYSIWYG - API

In this section you will find advanced information about the WYSIWYG Editor component. You will find out which modules are required & what are the possibilities of configuring the component.


WYSIWYG Editor import statement

In order to use WYSIWYG Editor component make sure you have imported proper module first.

import MDBWysiwyg from 'mdb-react-wysiwyg';
"mdbreact": "^4.15.0",
"react-router-dom": "^5.0.1"

WYSIWYG Editor PropTypes

The table below shows the configuration options of the WYSIWYG Editor component.

Name Type Default Description Example
initialContent String true Let you set initial content <MDBWysiwyg initialContent="<b>hello</b>" ... />
tooltips Boolean true Shows Bootstrap Tooltips for the toolbar buttons <MDBWysiwyg tooltips={false} ... />
colors Array [ '#EA3C3B', '#E00065', '#9C00B0', '#7000B7', '#533CB4', '#5587F4', '#509EF4', '#46B9D3', '#2E9786', '#4FB54E', '#87CA47', '#C4E534', '#DFDFDF', '#F5C700', '#F49B00', '#F45429', '#75564A', '#9D9C9D', '#657B8A', '#4B506E', '#FFFFFF', '#000000', '#F9E500', '#FF69B4' ] Allows to use custom color palette <MDBWysiwyg colors={['#EA3C3B', '#E00065', '#FFFFFF', '#000000']} ... />
translations Object { paragraph: 'Paragraph', heading: 'Heading', preformatted: 'Preformatted', bold: 'Bold', italic: 'Italic', strikeThrough: 'Strike Through', underline: 'Underline', textcolor: 'Color', justifyLeft: 'Align Left', justifyCenter: 'Align Center', justifyRight: 'Align Right', justifyFull: 'Align Justify', insertlink: 'Insert Link', insertpicture: 'Insert Picture', insertUnorderedList: 'Ordered List', insertOrderedList: 'Numbered List', enterurl: 'Enter a URL', imageurl: 'Image URL', linkdescription: 'Enter a description for this link', linkname: 'Link name', showHTML: 'Change view' } Allows to overwrite default plugin translations <MDBWysiwyg translations={{ paragraph: 'Párrafo', heading: 'Encabezado', preformatted: 'Preformateado', bold: 'Negrita', italic: 'Itálica', strikeThrough: 'Tachado', underline: 'Subrayado', textcolor: 'Color del texto', justifyLeft: 'Alinear a la izquierda', justifyCenter: 'Alinear al centro', justifyRight: 'Alinear a la derecha', justifyFull: 'Justificar', insertlink: 'Insertar enlace', insertpicture: 'Insertar imagen', insertUnorderedList: 'Lista de viñetas', insertOrderedList: 'Lista numerada', enterurl: 'Insertar enlace', imageurl: 'Insertar enlace de imagen', showHTML: 'Cambiar la vista' }} ... />

Vue WYSIWYG Editor

Vue Bootstrap WYSIWYG Editor plugin

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap WYSIWYG Editor is a lightweight plugin that enables rich text editing on your website.


Basic Example

MDBootstrap

WYSIWYG Editor

MDBootstrap.com © 2018

Features:

  • Changing block type
  • Text formatting (bold, italic, strikethrough, underline)
  • Setting text color
  • Text aligning
  • Inserting links
  • Inserting pictures
  • Creating a list (bulled or numbered)

Options:

  • Translations
  • Using your own color palette
  • Disabling/enabling tooltips
<template>
  <mdb-wysiwyg>
    <p style="text-align: center;"><img
        src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid">
    </p>
    <h1 style="text-align: center;">MDBootstrap</h1>
    <p style="text-align: center;">WYSIWYG Editor</p>
    <p style="text-align: center;">
      <a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a>&nbsp;©
      2020</p>
    <p style="text-align: left;"><b>Features:</b></p>
    <ul>
      <li>Changing block type</li>
      <li>Text formatting (bold, italic, strikethrough, underline)</li>
      <li>Setting text color</li>
      <li>Text aligning</li>
      <li>Inserting links</li>
      <li>Inserting pictures</li>
      <li>Creating a list (bulled or numbered)</li>
    </ul>
    <p><b>Options:</b></p>
    <ul>
      <li>Translations</li>
      <li>Using your own color palette</li>
      <li>Disabling/enabling tooltips</li>
    </ul>
  </mdb-wysiwyg>
</template>
<script>
  import mdbWysiwyg from 'mdb-wysiwyg'
  export default {
    name: 'app',
    components: {
      mdbWysiwyg
    }
  }
</script>

Translations

Vue Bootstrap WYSIWYG Editor comes with the option that allows you to use custom translations for all text in the editor.

MDBootstrap

WYSIWYG Editor

MDBootstrap.com © 2018

<template>
  <mdb-wysiwyg :translations="{
      paragraph: 'Paragraph',
      heading: 'Heading',
      preformatted: 'Preformatted',
      bold: 'Bold',
      italic: 'Italic',
      strikethrough: 'Strikethrough',
      underline: 'Underline',
      textcolor: 'Color',
      alignleft: 'Align Left',
      aligncenter: 'Align Center',
      alignright: 'Align Right',
      alignjustify: 'Align Justify',
      insertlink: 'Insert Link',
      insertpicture: 'Insert Picture',
      bulletlist: 'Ordered List',
      numberedlist: 'Numbered List',
      enterurl: 'Enter the URL',
      imageurl: 'Image URL',
      changeview: 'Change view'
    }">
    <p style="text-align: center;"><img
        src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid">
    </p>
    <h1 style="text-align: center;">MDBootstrap</h1>
    <p style="text-align: center;">WYSIWYG Editor</p>
    <p style="text-align: center;">
      <a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a>&nbsp;©
      2020</p>
  </mdb-wysiwyg>
</template>
<script>
  import mdbWysiwyg from 'mdb-wysiwyg'
  export default {
    name: 'app',
    components: {
      mdbWysiwyg
    }
  }
</script>

Custom color palette

By default, Vue Bootstrap WYSIWYG Editor use color palette from MDBootstrap's text colors. If you need to use your custom colors, you can simply customize them to fit your project.

MDBootstrap

WYSIWYG Editor

MDBootstrap.com © 2018

<template>
  <mdb-wysiwyg :colors="['#EA3C3B', '#E00065', #FFFFFF', '#000000']">
    <p style="text-align: center;"><img
        src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid">
    </p>
    <h1 style="text-align: center;">MDBootstrap</h1>
    <p style="text-align: center;">WYSIWYG Editor</p>
    <p style="text-align: center;">
      <a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a>&nbsp;©
      2020</p>
  </mdb-wysiwyg>
</template>
<script>
  import mdbWysiwyg from 'mdb-wysiwyg'
  export default {
    name: 'app',
    components: {
      mdbWysiwyg
    }
  }
</script>

MDB Vue WYSIWYG Editor - API


Download

This plugin requires a purchase.

Buy Vue WYSIWYG Editor plugin

Options

Name Type Description
tooltips boolean Shows Bootstrap Tooltips for the toolbar buttons.
colors array Allows to use custom color palette. See details here.
translations object Allows to overwrite default plugin translations. See details here.
@getContent event Allows to get the content of the textarea - value is an object with two keys: html and text

Angular Bootstrap WYSIWYG Editor
Angular WYSIWYG Editor Plugin - Bootstrap 4 & Material Design
Note: This documentation is for an older version of Bootstrap (v.4). A
newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for
Bootstrap 5.
Go to docs v.5
The Angular Bootstrap WYSIWYG Editor is a lightweight plugin that enables rich text editing on your website.
To start working with the WYSIWYG editor plugin see "Getting Started" tab on this page.
Basic Example
<mdb-wysiwyg></mdb-wysiwyg>
Translations
The Angular Bootstrap WYSIWYG Editor comes with an option that allows you to use custom translations for all text in the editor.
<mdb-wysiwyg [options]="options"></mdb-wysiwyg>
import {Component} from '@angular/core';
@Component({
selector: 'wysiwyg-translate',
templateUrl: './wysiwyg-translate.component.html',
styleUrls: ['./wysiwyg-translate.component.scss']
})
export class WysiwygTranslateComponent {
options = {
translations: {
textElements: {
paragraph: 'Paragraf',
heading: 'Nagłówek',
preformatted: 'Pre-formatowany',
},
textStyle: {
bold: 'Pogrubione',
italic: 'Italiczne',
strikethrough: 'Przekreślone',
underline: 'Podkreślone',
color: 'Kolor',
},
textAlign: {
justifyLeft: 'Lewy',
justifyCenter: 'Środek',
justifyRight: 'Prawy',
justifyFull: 'Justowanie',
},
imageAndLink: {
createLink: 'Wstaw Link',
insertImage: 'Wstaw zdjęcie',
linkURLPlaceholder: 'Podaj adres',
imageURLPlaceholder: 'Podaj adres obrazka',
},
lists: {
insertUnorderedList: 'Lista wypunktowana',
insertOrderedList: 'Lista numerowana',
},
showHTML: 'Pokaż HTML',
}
}
}
Custom color palette
By default, Angular Bootstrap's WYSIWYG Editor uses the color palette from MDBootstrap's text colors. If you need to use your custom colors, you can simply customize them to fit your project.
<mdb-wysiwyg [options]="options"></mdb-wysiwyg>
import {Component} from '@angular/core';
@Component({
selector: 'wysiwyg-colors',
templateUrl: './wysiwyg-colors.component.html',
styleUrls: ['./wysiwyg-colors.component.scss']
})
export class WysiwygColorsComponent {
options = {
colors: {
red: '#d50000',
green: '#64dd17',
yellow: '#fff176',
blue: '#03a9f4',
purple: '#6a1b9a',
white: '#fff',
black: '#000'
}
}
}
Custom color palette
There are two ways to get the latest WYSIWYG value. You can use (valueChange) event, or you can
subscribe to the valueChange$ observable.
<mdb-wysiwyg #wysiwyg (valueChange)="onValueChange($event)"></mdb-wysiwyg>
import {Component, AfterViewInit, ViewChild} from '@angular/core';
import {MdbWysiwygComponent} from 'mdb-wysiwyg';
@Component({
selector: 'wysiwyg-events',
templateUrl: './wysiwyg-events.component.html',
styleUrls: ['./wysiwyg-events.component.scss']
})
export class WysiwygEventsComponent {
@ViewChild(MdbWysiwygComponent, { static: true }) wysiwyg!: MdbWysiwygComponent;
ngAfterViewInit() {
this.wysiwyg.valueChange$.subscribe((data: any) => {
console.log(data);
});
}
onValueChange(value: string) {
console.log(value);
}
}
Installation guide
Step 1: Create a new Angular application using Angular CLI command:
ng new application-name --style=scss --routing=false
Step 2: Download this plugin from your user dashboard
Step 3: Extract the downloaded archive from Step 2 and copy the mdb-wysiwyg-{version-number}.tgz
file to your application root directory
Step 4: Install the mdb-wysiwyg-{version-number}.tgz package in your
application by executing the below command in the application's terminal:
npm install mdb-wysiwyg-{version-number.tgz} --save
For example, the installation command should look like the following: npm install mdb-wysiwyg-8.0.0.tgz
--save
Step 5: Follow the Quickstart Guide to add MDB Angular Free or MDB Angular Pro (depending on which version you're using) to the application
Step 6: Import the MdbWysiwygModule into the app.module.ts file
Step 7: Copy the basic example from this site and enjoy your new plugin!
Step 1: Download this plugin from your user dashboard
Step 2: Extract the downloaded archive from Step 1 and copy mdb-wysiwyg-{version-number}.tgz
file to your application root directory
Step 3: Install the mdb-wysiwyg-{version-number}.tgz package in your
application by executing the below command in the application's terminal:
npm install mdb-wysiwyg-{version-number.tgz} --save
For example, the installation command should look like following: npm install mdb-wysiwyg-8.0.0.tgz
--save
Step 4: Follow the Quickstart Guide to add MDB Angular Free or MDB Angular Pro (depending on which version you're using) to the application
Step 5: Import the MdbWysiwygModule in the app.module.ts file
Step 6: Copy the basic example from this site and enjoy your new plugin!
Angular WYSIWYG Editor - API
Download
This plugin requires a purchase.
Buy WYSIWYG Editor plugin
Modules used
In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.
import { MdbWysiwygModule } from 'mdb-wysiwyg';
Options
| Name | Type | Description |
|---|---|---|
| tooltips | boolean | Shows Angular Bootstrap Tooltips for the toolbar buttons. |
| colors | Object | Allows the use of custom color palette. See details here. |
| translations | Object | Allows the overwriting of default plugin translations. See details here. |
Outputs
| Name | Type | Description | Example |
|---|---|---|---|
valueChange |
EventEmitter<string> | Event fired when a value was changed. | (valueChange)="onValueChange($event)" |
Fields
| Name | Type | Default | Description | Example |
|---|---|---|---|---|
valueChange$ |
Observable<string> | - | Observable field to which you can subscribe to get the latest value from the WYSIWYG editor. | this.wysiwyg.valueChange$.subscribe(value => console.log(value)); |